## sdl2-compat 2.32.64+ds

=== debian/changelog ===
sdl2-compat (2.32.64+ds-1+exp1) experimental; urgency=medium

  * Merge new upstream release from unstable
  * d/gbp.conf, d/watch: Stop watching for git snapshots for now
  * d/source/lintian-overrides: Remove, no longer needed

 -- Simon McVittie <smcv@debian.org>  Wed, 04 Feb 2026 23:39:07 +0000

sdl2-compat (2.32.64+ds-1) unstable; urgency=medium

  * New upstream release
  * Correct bug number for debian-watch-not-mangling-version Lintian override
  * d/README.Debian: Improve notes on bug reporting for games that assume X11
  * Drop patches that are included in the upstream release

 -- Simon McVittie <smcv@debian.org>  Wed, 04 Feb 2026 18:18:39 +0000
