=== debian/control ===
Source: sdl2-compat
X-Style: black
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders:
 Simon McVittie <smcv@debian.org>,
 Stephen Kitt <skitt@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libgl-dev <!nocheck> <!noinsttest>,
 libgles-dev [!hurd-any] <!nocheck> <!noinsttest>,
 libsdl3-dev (>= 3.2.12),
 libvulkan-dev <!nocheck> <!noinsttest>,
 libx11-dev <!nocheck> <!noinsttest>,
 ninja-build,
Standards-Version: 4.7.3
Section: libs
Homepage: https://github.com/libsdl-org/sdl2-compat
Vcs-Git: https://salsa.debian.org/sdl-team/sdl2-compat.git -b debian/snapshots
Vcs-Browser: https://salsa.debian.org/sdl-team/sdl2-compat

Package: libsdl2-2.0-0
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 libsdl3-0 (>= 3.2.12),
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libsdl-1.3-0
Replaces:
 libsdl-1.3-0
Description: SDL 2 binary compatibility library wrapping SDL 3
 SDL is a library that allows programs portable low level access to a video
 framebuffer, audio output, mouse, and keyboard.
 .
 sdl2-compat provides a binary compatible API for programs built
 against SDL 2, but using SDL 3.
 This package replaces "classic" SDL 2 with the sdl2-compat shared library.
 .
 If you are writing new code, please target SDL 3 directly instead of
 using this layer.

Package: libsdl2-compat
Section: oldlibs
Architecture: any
Multi-Arch: same
Depends:
 libsdl2-2.0-0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: SDL 2 binary compatibility - transitional, non-default location
 sdl2-compat provides a binary compatible API for programs built
 against SDL 2, but using SDL 3.
 .
 This transitional package provides the library in a non-default location.

Package: libsdl2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libsdl2-2.0-0 (= ${binary:Version}),
 libsdl3-dev (>= 3.2.12),
 pkgconf,
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 libsdl-1.3-dev
Replaces:
 libsdl-1.3-dev
Description: Simple DirectMedia Layer development files
 SDL is a library that allows programs portable low level access to a video
 framebuffer, audio output, mouse, and keyboard.
 .
 sdl2-compat provides a binary compatible API for programs built
 against SDL 2, but using SDL 3.
 This package contains the files needed to compile and link programs which
 use SDL 2, replacing "classic" SDL 2.
 .
 If you are writing new code, please target SDL 3 directly instead of
 using this layer.

Package: libsdl2-compat-dev
Section: oldlibs
Architecture: any
Multi-Arch: same
Depends:
 libsdl2-dev (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: libsdl2-dev replacement using SDL 3 - transitional package
 sdl2-compat provides a binary compatible API for programs built
 against SDL 2, but using SDL 3.
 .
 This transitional package depends on a version of libsdl2-dev that is
 provided by sdl2-compat.
 .
 If you are writing new code, please target SDL 3 directly instead
 of using this layer. Debian packages should not build-depend on this
 package: please use libsdl2-dev instead.
 .
 This package provides development files.

Package: libsdl2-compat-shim
Section: oldlibs
Architecture: any
Multi-Arch: same
Depends:
 libsdl2-2.0-0 (>= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: SDL 2 binary compatibility library - transitional package
 sdl2-compat provides a binary compatible API for programs built
 against SDL 2, but using SDL 3.
 .
 This transitional package provides the library in the default location.

Package: libsdl2-compat-tests
Build-Profiles: <!noinsttest>
Section: misc
Architecture: any
Depends:
 libsdl2-2.0-0 (>= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: SDL 2 binary compatibility library - tests
 sdl2-compat provides a binary compatible API for programs built
 against SDL 2, but using SDL 3.
 .
 If you are writing new code, please target SDL 3 directly instead of
 using this layer. Debian packages should not depend or build-depend on
 this package.
 .
 This package provides automated and manual test programs.
